> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hydric.org/llms.txt
> Use this file to discover all available pages before exploring further.

# Get all token baskets across multiple networks.

> Returns all token baskets (e.g., Stablecoins, LSTs). Use `chainIds` to filter by network and `basketIds` to filter by specific basket types. If omitted, defaults to all supported networks and baskets.



## OpenAPI

````yaml https://api.hydric.org/v1/openapi.json get /v1/tokens/baskets
openapi: 3.1.0
info:
  title: hydric Gateway API
  description: Access DeFi Liquidity easily. One plug. Every Protocol. Every Network.
  version: 1.0.0
  contact: {}
servers:
  - url: https://api.hydric.org
security:
  - bearerAuth: []
tags: []
paths:
  /v1/tokens/baskets:
    get:
      tags:
        - Token Baskets
      summary: Get all token baskets across multiple networks.
      description: >-
        Returns all token baskets (e.g., Stablecoins, LSTs). Use `chainIds` to
        filter by network and `basketIds` to filter by specific basket types. If
        omitted, defaults to all supported networks and baskets.
      operationId: TokensBasketsController_getBaskets
      parameters:
        - name: chainIds
          required: false
          in: query
          description: >-
            Filter results to specific networks by chain ID. If omitted, all
            supported networks will be returned.
          schema:
            example:
              - 1
              - 8453
            type: array
            items:
              type: number
              enum:
                - 1
                - 143
                - 130
                - 999
                - 8453
                - 9745
                - 534352
        - name: basketIds
          required: false
          in: query
          description: >-
            Filter results to specific baskets by ID. If omitted, all available
            baskets will be returned.
          schema:
            example:
              - usd-stablecoins
              - eth-pegged-tokens
            type: array
            items:
              type: string
              enum:
                - usd-stablecoins
                - eth-pegged-tokens
                - btc-pegged-tokens
                - hype-pegged-tokens
                - monad-pegged-tokens
                - xau-stablecoins
                - eur-stablecoins
      responses:
        '200':
          description: The list of available token baskets.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetTokenBasketListResponse'
components:
  schemas:
    GetTokenBasketListResponse:
      type: object
      properties:
        baskets:
          description: A list of token baskets.
          example:
            - id: usd-stablecoins
              name: USD Stablecoins
              description: A basket of the most liquid USD stablecoins in the ecosystem.
              logoUrl: >-
                https://cdn.jsdelivr.net/gh/hydric-org/token-baskets/assets/logos/usd-stablecoins.png
              chainIds:
                - 1
                - 143
              addresses:
                - chainId: 1
                  address: '0xdac17f958d2ee523a2206206994597c13d831ec7'
                - chainId: 143
                  address: 0x1234...
              tokens:
                - chainId: 1
                  address: '0x0000000000000000000000000000000000000000'
                  decimals: 18
                  name: Ether
                  symbol: ETH
                  logoUrl: >-
                    https://logos.hydric.org/tokens/1/0x0000000000000000000000000000000000000000
          type: array
          items:
            $ref: '#/components/schemas/TokenBasket'
      required:
        - baskets
    TokenBasket:
      type: object
      properties:
        id:
          type: string
          description: The unique identifier of the token basket.
          example: usd-stablecoins
          enum:
            - usd-stablecoins
            - eth-pegged-tokens
            - btc-pegged-tokens
            - hype-pegged-tokens
            - monad-pegged-tokens
            - xau-stablecoins
            - eur-stablecoins
        name:
          type: string
          description: The human-readable name of the basket.
          example: USD Stablecoins
        description:
          type: string
          description: A detailed description of what the basket represents.
          example: A basket of the most liquid USD stablecoins in the ecosystem.
        logoUrl:
          type: string
          description: The URL of the basket logo.
          example: >-
            https://cdn.jsdelivr.net/gh/hydric-org/token-baskets/assets/logos/usd-stablecoins.png
        chainIds:
          description: List of chain IDs where this basket is available.
          example:
            - 1
            - 143
          type: array
          items:
            type: number
        addresses:
          description: List of underlying token addresses across supported chains.
          example:
            - chainId: 1
              address: '0xdac17f958d2ee523a2206206994597c13d831ec7'
            - chainId: 143
              address: 0x1234...
          type: array
          items:
            $ref: '#/components/schemas/BlockchainAddress'
        tokens:
          description: Token metadata for the assets in this basket.
          example:
            - chainId: 1
              address: '0x0000000000000000000000000000000000000000'
              decimals: 18
              name: Ether
              symbol: ETH
              logoUrl: >-
                https://logos.hydric.org/tokens/1/0x0000000000000000000000000000000000000000
          type: array
          items:
            $ref: '#/components/schemas/SingleChainTokenMetadata'
      description: >-
        Multiple tokens grouped together to represent a basket of assets for a
        specific primitive or theme.
      required:
        - id
        - name
        - description
        - logoUrl
        - chainIds
        - addresses
        - tokens
    BlockchainAddress:
      type: object
      properties:
        chainId:
          type: number
          description: The chain id of the address. Must be one of the supported networks
          enum:
            - 1
            - 143
            - 130
            - 999
            - 8453
            - 9745
            - 534352
          example: 1
        address:
          type: string
          description: The address tied to the blockchain
          example: '0x0000000000000000000000000000000000000000'
      description: An address that is tied to a blockchain
      required:
        - chainId
        - address
    SingleChainTokenMetadata:
      type: object
      properties:
        chainId:
          type: number
          description: The chain id of the network where the token resides.
          example: 1
          enum:
            - 1
            - 143
            - 130
            - 999
            - 8453
            - 9745
            - 534352
        address:
          type: string
          description: >-

            The contract address of the token on its host network.


            * **ERC-20 Tokens:** The 20-byte hex contract address.

            * **Native Assets (e.g., ETH, MATIC):** Represented by the "Zero
            Address" (`0x000...000`).
                
          example: '0x0000000000000000000000000000000000000000'
        decimals:
          type: number
          description: >-
            The number of decimal places used to represent the smallest
            fractional unit of the token (e.g., 18 for ETH, 6 for USDC).
          example: 18
        name:
          type: string
          description: >-
            The full human-readable name of the asset (e.g., "Ethereum",
            "Wrapped Bitcoin").
          example: Ether
        symbol:
          type: string
          description: The ticker symbol of the token (e.g., "ETH", "WBTC")..
          example: ETH
        logoUrl:
          type: string
          description: The URL of the token logo.
          example: >-
            https://logos.hydric.org/tokens/1/0x0000000000000000000000000000000000000000
      description: Core identifying metadata for a token on a single blockchain.
      required:
        - chainId
        - address
        - decimals
        - name
        - symbol
        - logoUrl
  securitySchemes:
    bearerAuth:
      scheme: bearer
      bearerFormat: JWT
      type: http
      description: >-
        Use the docs sandbox API key for authentication:
        **hydric_docs_4N4ocuirsN8Sh**

````